Package it.ernytech.tdlib

## Class TdApi.AddChatMembers

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.AddChatMembers

Enclosing class:
  TdApi

    public static class TdApi.AddChatMembers
    extends TdApi.Function

Adds multiple new members to a chat. Currently this option is only available for supergroups and channels. This option can't be used to join a chat. Members can't be added to a channel if it has more than 200 members. Members will not be added until the chat state has been synchronized with the server.

Returns `Ok`

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int[]` `userIds` Identifiers of the users to be added to the chat.

### Constructor Summary

Constructors
`AddChatMembers()` Default constructor.
`AddChatMembers​(long chatId, int[] userIds)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### userIds

    public int[] userIds

Identifiers of the users to be added to the chat.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### AddChatMembers

    public AddChatMembers()

Default constructor.

#### AddChatMembers

    public AddChatMembers​(long chatId,
                          int[] userIds)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `userIds` - Identifiers of the users to be added to the chat.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR